{
	"info": {
		"_postman_id": "392e7772-7681-457b-9556-213f876eb4e3",
		"name": "api.odiproject.com - Gateway",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json"
	},
	"item": [
		{
			"name": "Users",
			"item": [
				{
					"name": "Create New User",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n  \"roleId\": 1,\r\n  \"instituteId\":1,\r\n  \"languageId\": 1,\r\n  \"registrationId\": 1,\r\n  \"registrationDatetime\": \"2020-07-27T06:10:56.975Z\",\r\n  \"firstName\": \"string\",\r\n  \"lastName\": \"string\",\r\n  \"dateOfBirth\": \"2020-07-27T06:10:56.975Z\",\r\n  \"gender\": \"string\",\r\n  \"emailId\": \"test1@gmail.com\",\r\n  \"mobileNo\": \"string\",\r\n  \"photo\": \"string\",\r\n  \"address\": \"string\",\r\n  \"city\": \"string\",\r\n  \"stateId\": 26,\r\n  \"pinCode\": \"string\",\r\n  \"latitude\": \"string\",\r\n  \"longitude\": \"string\",\r\n  \"userPassword\": \"aaaa\"\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-user/v1/users",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-user",
								"v1",
								"users"
							]
						}
					},
					"response": []
				},
				{
					"name": "Sign In",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"EmailId\": \"sa@odiware.com\",\r\n    \"UserPassword\": \"aaaa\"\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-user/v1/users/signin",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-user",
								"v1",
								"users",
								"signin"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get_One_User",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "{{JWT_TOKEN}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJDaGFuZHJhIFNla2hhciBTdXBlckFkbWluIiwiZW1haWwiOiJzYUBvZGl3YXJlLmNvbSIsImp0aSI6ImQ4ZjMwMjIyLTMxZTUtNGY5Yi1iOTRiLWUwZWRlMjg3ZTkyMCIsIlVzZXJJZCI6IjEiLCJSb2xlSWQiOiIxIiwiSW5zdGl0dXRlSWQiOiIxIiwiZXhwIjoxNTk1ODE4MTU2LCJpc3MiOiJPZGl3YXJlIiwiYXVkIjoiT2Rpd2FyZSJ9.V258ykT8lKBhscsQFaK_cgLdPmrEXBYRr5nY2lMYgqg",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-user/v1/users/1012",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-user",
								"v1",
								"users",
								"1012"
							]
						}
					},
					"response": []
				},
				{
					"name": "GetAll_Users",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "{{JWT_TOKEN}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJLaXNob3IgQ2hhbmRyYSBBZG1pbiIsImVtYWlsIjoiYWRtaW5Ab2Rpd2FyZS5jb20iLCJqdGkiOiIwYjk3ZGJmZC04ODkzLTRjM2UtYmQ3ZS02YWQ5MTc3ZTI5N2UiLCJVc2VySWQiOiIyIiwiUm9sZUlkIjoiMiIsIkluc3RpdHV0ZUlkIjoiMSIsImV4cCI6MTU5NTkxNTQyMywiaXNzIjoiT2Rpd2FyZSIsImF1ZCI6Ik9kaXdhcmUifQ.W10oTLtJ3z2gdKfKv-Dc3uwMoKsSAwRNHKVEydX6w68",
								"type": "text",
								"disabled": true
							}
						],
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-user/v1/users",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-user",
								"v1",
								"users"
							],
							"query": [
								{
									"key": "Authorization",
									"value": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJLaXNob3IgQ2hhbmRyYSBBZG1pbiIsImVtYWlsIjoiYWRtaW5Ab2Rpd2FyZS5jb20iLCJqdGkiOiIwYjk3ZGJmZC04ODkzLTRjM2UtYmQ3ZS02YWQ5MTc3ZTI5N2UiLCJVc2VySWQiOiIyIiwiUm9sZUlkIjoiMiIsIkluc3RpdHV0ZUlkIjoiMSIsImV4cCI6MTU5NTkxNTQyMywiaXNzIjoiT2Rpd2FyZSIsImF1ZCI6Ik9kaXdhcmUifQ.W10oTLtJ3z2gdKfKv-Dc3uwMoKsSAwRNHKVEydX6w68",
									"disabled": true
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Update an user",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "{{JWT_TOKEN}}",
									"type": "string"
								}
							]
						},
						"method": "PUT",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"Id\": 1012,\r\n  \"roleId\": 2,\r\n  \"instituteId\":1,\r\n  \"languageId\": 1,\r\n  \"registrationId\": 1,\r\n  \"registrationDatetime\": \"2020-07-27T06:10:56.975Z\",\r\n  \"firstName\": \"TEST NEW (KISHOR)\",\r\n  \"lastName\": \"TRIPATHY\",\r\n  \"dateOfBirth\": \"2020-07-27T06:10:56.975Z\",\r\n  \"gender\": \"string\",\r\n  \"emailId\": \"test1@gmail.com\",\r\n  \"mobileNo\": \"string\",\r\n  \"photo\": \"string\",\r\n  \"address\": \"string\",\r\n  \"city\": \"string\",\r\n  \"stateId\": 26,\r\n  \"pinCode\": \"string\",\r\n  \"latitude\": \"string\",\r\n  \"longitude\": \"string\",\r\n  \"userPassword\": \"aaaa\"\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-user/v1/users/1012",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-user",
								"v1",
								"users",
								"1012"
							]
						}
					},
					"response": []
				},
				{
					"name": "Delete an user",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "{{JWT_TOKEN}}",
									"type": "string"
								}
							]
						},
						"method": "DELETE",
						"header": [
							{
								"key": "",
								"value": "",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-user/v1/users/1002",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-user",
								"v1",
								"users",
								"1002"
							]
						}
					},
					"response": []
				}
			],
			"protocolProfileBehavior": {}
		},
		{
			"name": "Admin",
			"item": [
				{
					"name": "ExamTypes",
					"item": [
						{
							"name": "GetAll_ExamTyepes",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{GATEWAY_API_URL}}/api-admin/v1/examtypes",
									"host": [
										"{{GATEWAY_API_URL}}"
									],
									"path": [
										"api-admin",
										"v1",
										"examtypes"
									]
								}
							},
							"response": []
						},
						{
							"name": "GetAll_ExamTyepes_by_ID",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{GATEWAY_API_URL}}/api-admin/v1/examtypes/1",
									"host": [
										"{{GATEWAY_API_URL}}"
									],
									"path": [
										"api-admin",
										"v1",
										"examtypes",
										"1"
									]
								}
							},
							"response": []
						},
						{
							"name": "AddNew_ExamTyepes",
							"request": {
								"method": "POST",
								"header": [],
								"body": {
									"mode": "raw",
									"raw": "{\r\n  \"code\": \"string 12 \",\r\n  \"name\": \"string 12\",\r\n  \"description\": \"string 12\",\r\n  \"isActive\": true\r\n}",
									"options": {
										"raw": {
											"language": "json"
										}
									}
								},
								"url": {
									"raw": "{{GATEWAY_API_URL}}/api-admin/v1/examtypes",
									"host": [
										"{{GATEWAY_API_URL}}"
									],
									"path": [
										"api-admin",
										"v1",
										"examtypes"
									]
								}
							},
							"response": []
						}
					],
					"protocolProfileBehavior": {},
					"_postman_isSubFolder": true
				},
				{
					"name": "GetAll_Institutes",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJLaXNob3IgQ2hhbmRyYSBBZG1pbiIsImVtYWlsIjoiYWRtaW5Ab2Rpd2FyZS5jb20iLCJqdGkiOiIwYjk3ZGJmZC04ODkzLTRjM2UtYmQ3ZS02YWQ5MTc3ZTI5N2UiLCJVc2VySWQiOiIyIiwiUm9sZUlkIjoiMiIsIkluc3RpdHV0ZUlkIjoiMSIsImV4cCI6MTU5NTkxNTQyMywiaXNzIjoiT2Rpd2FyZSIsImF1ZCI6Ik9kaXdhcmUifQ.W10oTLtJ3z2gdKfKv-Dc3uwMoKsSAwRNHKVEydX6w68",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-admin/v1/institutes",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-admin",
								"v1",
								"institutes"
							]
						}
					},
					"response": []
				}
			],
			"protocolProfileBehavior": {}
		},
		{
			"name": "Institute",
			"item": [
				{
					"name": "GetAll_Institutes",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-institute/v1/Institutes/1/users",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-institute",
								"v1",
								"Institutes",
								"1",
								"users"
							]
						}
					},
					"response": []
				},
				{
					"name": "Add New_Institutes",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "{{GATEWAY_API_URL}}/api-institute/v1/institutes",
							"host": [
								"{{GATEWAY_API_URL}}"
							],
							"path": [
								"api-institute",
								"v1",
								"institutes"
							]
						}
					},
					"response": []
				}
			],
			"protocolProfileBehavior": {}
		}
	],
	"event": [
		{
			"listen": "prerequest",
			"script": {
				"id": "1fe1b801-2d20-4fcd-82ef-5f31cedcd829",
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		},
		{
			"listen": "test",
			"script": {
				"id": "fe92aeff-c839-401d-b8a9-f8702191e257",
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		}
	],
	"variable": [
		{
			"id": "d26274a9-cd96-4cc7-bb14-0686b54dbbcc",
			"key": "GATEWAY_API_URL",
			"value": "http://api.odiprojects.com"
		},
		{
			"id": "df75ef3b-0f94-4f71-b70f-b137a402e116",
			"key": "JWT_TOKEN",
			"value": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJDaGFuZHJhIFNla2hhciBTdXBlckFkbWluIiwiZW1haWwiOiJzYUBvZGl3YXJlLmNvbSIsImp0aSI6IjczMmJhNTMyLTNiNzUtNGJhMC04NjRiLTU5ZDkyNGU1MGY3YyIsIlVzZXJJZCI6IjEiLCJSb2xlSWQiOiIxIiwiSW5zdGl0dXRlSWQiOiIxIiwiaHR0cDovL3NjaGVtYXMubWljcm9zb2Z0LmNvbS93cy8yMDA4LzA2L2lkZW50aXR5L2NsYWltcy9yb2xlIjoiU3VwZXJBZG1pbiIsImV4cCI6MTU5NjA3MDYyNSwiaXNzIjoiT2Rpd2FyZSIsImF1ZCI6Ik9kaXdhcmUifQ.duXAX-V37XDl9ADPLb5Ki8EHidMvmfoqYlnxRgEPftc"
		}
	],
	"protocolProfileBehavior": {}
}